LPAR (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.LPAR interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface LPAR

All Superinterfaces:
  CIMSystem, ComputerSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, ZSeriesComputerSystem

All Known Subinterfaces:
  ZVMGuest

    public interface LPAR

extends ZSeriesComputerSystem

An LPAR is a Logical PARtition of the physical hardware where an operating system instance can run eg: z/OS, z/VM, z/Linux. It is possible for the computing platform to operate in either basic-mode (non-partitioned) or lpar-mode. The LPAR class instance will only be discovered if the hardware is operating in LPAR mode. Only an LPAR that runs z/OS or z/OS hosted by z/VM are discovered.

Persistable:
  true
Top Level:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getLPARID()` Do not use.
`boolean` | `hasLPARID()`
`void` | `setLPARID(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.sys.zOS.ZSeriesComputerSystem
`getModelID, hasModelID, setModelID`

Methods inherited from interface com.collation.platform.model.topology.sys.ComputerSystem
`getArchitecture, getAutoStart, getCdpDeviceId, getChildSystem, getConfigContents, getControllers, getCPU, getCPUCoresEnabled, getCPUCoresInstalled, getCPUDiesEnabled, getCPUDiesInstalled, getCPUSpeed, getCPUType, getDevices, getFCPorts, getFileSystems, getFqdn, getFunctions, getHostSystem, getIpInterfaces, getIsVMIDanLPAR, getL2Interfaces, getManufacturer, getMemory, getMemorySize, getModel, getName, getNumCPUs, getOSInstalled, getOSRunning, getPhysicalPackage, getPrimaryMACAddress, getProcessCapacityUnits, getProcessingCapacity, getProtocolControllers, getROMVersion, getSerialNumber, getSignature, getSiteInfo, getSnmpSystemGroup, getSystemBoardUUID, getSystemId, getType, getVirtual, getVMID, getZReportfiles, hasArchitecture, hasAutoStart, hasCdpDeviceId, hasChildSystem, hasConfigContents, hasControllers, hasCPU, hasCPUCoresEnabled, hasCPUCoresInstalled, hasCPUDiesEnabled, hasCPUDiesInstalled, hasCPUSpeed, hasCPUType, hasDevices, hasFCPorts, hasFileSystems, hasFqdn, hasFunctions, hasHostSystem, hasIpInterfaces, hasIsVMIDanLPAR, hasL2Interfaces, hasManufacturer, hasMemory, hasMemorySize, hasModel, hasName, hasNumCPUs, hasOSInstalled, hasOSRunning, hasPhysicalPackage, hasPrimaryMACAddress, hasProcessCapacityUnits, hasProcessingCapacity, hasProtocolControllers, hasROMVersion, hasSerialNumber, hasSignature, hasSiteInfo, hasSnmpSystemGroup, hasSystemBoardUUID, hasSystemId, hasType, hasVirtual, hasVMID, hasZReportfiles, setArchitecture, setAutoStart, setCdpDeviceId, setChildSystem, setConfigContents, setControllers, setCPU, setCPUCoresEnabled, setCPUCoresInstalled, setCPUDiesEnabled, setCPUDiesInstalled, setCPUSpeed, setCPUType, setDevices, setFCPorts, setFileSystems, setFqdn, setFunctions, setHostSystem, setIpInterfaces, setIsVMIDanLPAR, setL2Interfaces, setManufacturer, setMemory, setMemorySize, setModel, setName, setNumCPUs, setOSInstalled, setOSRunning, setPhysicalPackage, setPrimaryMACAddress, setProcessCapacityUnits, setProcessingCapacity, setProtocolControllers, setROMVersion, setSerialNumber, setSignature, setSiteInfo, setSnmpSystemGroup, setSystemBoardUUID, setSystemId, setType, setVirtual, setVMID, setZReportfiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getLPARID

    java.lang.String getLPARID()
                               throws AttributeNotSetException

  Do not use. This attribute is being replaced by the VMID in the ComputerSystem class. The IsVMIDanLPAR flag should be used to determine if the VMID is an LPAR. The VMID represents an identifer for the computersystem with the context of another computersystem. The identifier may represent a physical computer system such as an LPAR, or it may be a virtual computersystem such as a VMGuest.

  Throws:
    `AttributeNotSetException`

### setLPARID

    void setLPARID(java.lang.String x)

### hasLPARID

    boolean hasLPARID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD